Name:          jflex-maven-plugin
Version:       1.6.1
Release:       1%{?dist}
Summary:       JFlex Maven Plugin
License:       BSD
URL:           http://jflex.sourceforge.net/jflex-maven-plugin/
Source0:       http://jflex.de/%{name}-%{version}.tar.gz
# https://github.com/jflex-de/jflex/blob/1.6.1
# Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9329267
BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(de.jflex:jflex) >= %{version}
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.shared:maven-plugin-testing-harness)
%if %{?fedora} > 20
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif

BuildArch:     noarch

%description
This is a Maven 2/3 plugin to generate Lexer code in Java from
a Lexer specification, using JFlex.
  
This plugin was previously called maven-jflex-plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -print -delete

%pom_remove_plugin :maven-clean-plugin
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

# Use maven 3 apis only
%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-core

# package junit.framework does not exist
%pom_add_dep junit:junit::test

# org.codehaus.plexus.component.repository.exception.ComponentLookupException:
# java.util.NoSuchElementException
# role: org.apache.maven.repository.RepositorySystem
rm -r src/test/java/de/jflex/plugin/maven/JFlexMojoTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license COPYRIGHT

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT

%changelog
* Thu Mar 26 2015 gil cattaneo <puntogil@libero.it> 1.6.1-1
- initial rpm
